Making API calls
Before you can call Data Integration API endpoints, you need an API token. Refer to Authenticating APIs for steps to create one.
To invoke Data Integration API endpoints:
- Include your API token as a Bearer token in the
Authorizationheader. - Use the correct base URL for your region:
- US:
https://api.rivery.io - EU:
https://api.eu-west-1.rivery.io - IL:
https://api.il-central-1.rivery.io - AU:
https://api.ap-southeast-2.rivery.io
- US:
Using a Data Flow
A Data Flow is the top-level container for all data movement in Data Integration. It defines the end-to-end path that data takes from a source to a target. API endpoints and payloads still use the legacy parameter name river_id for backward compatibility. river_id and the Data Flow ID refer to the same value. For the full list of updated terms, refer to Data Integration terminology changes.
Find the Data Flow ID by navigating to a specific Data Flow in the console and extracting the Data Flow ID from the URL:

To run a Data Flow, send a POST request to the run endpoint with your API token and the Data Flow ID. For example, with the Data Flow ID 63b724fc690def001131d242 and a token of XYZ:
curl -X POST "https://console.rivery.io/api/run" \
-H "accept: application/json" \
-H "Authorization: Bearer XYZ" \
-H "Content-Type: application/json" \
-d "{ \"river_id\": \"63b724fc690def001131d242\"}"
The following curl command shows the general syntax:
curl -X POST "https://console.rivery.io/api/run" \
-H "accept: application/json" \
-H "Authorization: Bearer {token}" \
-H "Content-Type: application/json" \
-d "{ \"river_id\": \"{river_id}\"}"
Python example
import requests
import json
RIVER_ID = "1234567abcd"
url = "https://console.rivery.io/api/run"
payload = json.dumps({"river_id": RIVER_ID})
headers = {
"accept": "application/json",
"Authorization": f"Bearer {river_api_token}",
"Content-Type": "application/json"
}
response = requests.post(url, data=payload, headers=headers)
print(response.json())
Exploring the Activities API with Postman
The Activities API is one of several resource areas in the Data Integration API. This section uses it as an example of how to explore an API area using a ready-made Postman collection.
You can easily explore Data Integration Activities API requests using Postman. This tool lets you examine the API endpoints without the need for writing a full-stack application. The official Data Integration Postman collection includes pre-formatted requests for the Activities endpoints, accessible through the Postman desktop application or a web browser. For general steps on configuring authorization and making your first API call in Postman, refer to Working with Boomi APIs on Postman.
The Activities Postman Collection offers the following capabilities:
- Get statistics on the environment's activity, including RPU (now called BDU, or Boomi Data Unit; refer to Pricing) consumption and run completion status.
- Get activity targets (table names) for a specific Data Flow within a specified time frame and their current status.
- Get a list of run groups for a specific Data Flow within a specified time frame, including their completion status.
- Get a list of schedulers (aggregate runs) for a specific Data Flow within a specified time frame, including their completion status.
- Get a list of runs for a specific Data Flow within a specified time frame, including information about each run.
- Get a summary of activities for the account and environment, grouped by Data Flow.
Explore API references
For more information and a complete list of API endpoints, refer to: